Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_MIDI

Midi Class
Contained in: global
Derived from: none
Derived by: none
Group: MIDI (System)

#include <ClanLib/midi.h>

### public function member index:

### Construction:

`` | `CL_MIDI` | `()`;
``virtual`` | `~CL_MIDI` | `()`;

### Operations:

``virtual` `bool`` | `start_playing` | `()`;
``virtual` `bool`` | `stop_playing` | `()`;
``virtual` `bool`` | `load_file` | `(`wchar_t`* `filename`)`;

## Description:

## Function Member Descriptions:

CL_MIDI::CL_MIDI - Midi Constructor
`` `CL_MIDI` `()`;

CL_MIDI::load_file - Load File
``virtual` `bool`` `load_file` `(`wchar_t`* `filename`)`;

CL_MIDI::start_playing - Start Playing
``virtual` `bool`` `start_playing` `()`;

CL_MIDI::stop_playing - Stop Playing
``virtual` `bool`` `stop_playing` `()`;

CL_MIDI::~CL_MIDI - Midi Destructor
``virtual`` `~CL_MIDI` `()`;